Skip to content

Expanded Traffic Overview in Traffic Analyzer.

POST
/api/shape/bot/namespaces/{namespace}/v4/reporting/traffic/overview/expanded
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/v4/reporting/traffic/overview/expanded \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "end_time": "example", "filters": { "action_taken": { "actions_taken": [ "example" ], "op": "IN" }, "app_id_filter": { "app_id_strings": [ "example" ], "op": "IN" }, "application_name": { "application_names": [ "example" ], "op": "IN" }, "as_org_filter": { "as_orgs": [ "example" ], "op": "IN" }, "attack_intent_filter": { "attack_intent_strings": [ "example" ], "op": "IN" }, "automation_type_filter": { "automation_type_strings": [ "example" ], "op": "IN" }, "browser_filter": { "browser_strings": [ "example" ], "op": "IN" }, "country_filter": { "country_strings": [ "example" ], "op": "IN" }, "host_filter": { "host_strings": [ "example" ], "op": "IN" }, "inference_filter": { "inference_strings": [ "example" ], "op": "IN" }, "ip_filter": { "ips": [ "example" ], "op": "IN" }, "method_filter": { "method_strings": [ "example" ], "op": "IN" }, "os_filter": { "op": "IN", "os_strings": [ "example" ] }, "referer_filter": { "op": "IN", "referer_strings": [ "example" ] }, "region_filter": "US", "traffic_type_filter": { "op": "IN", "traffic_type_strings": [ "example" ] }, "ua_filter": { "op": "IN", "ua_strings": [ "example" ] }, "uri_filter": { "op": "IN", "uri_strings": [ "example" ] } }, "limit": 1, "namespace": "example", "start_time": "example", "virtual_host": "example" }'

GET expanded Traffic overview in Traffic Analyzer. This version adds support for traffic types, and its subtypes, action taken. In addition, it will show additional traffic types for advanced customers.

Examples of this operation.

namespace
required
string

Namespace

x-required namespace is used to scope the query. Only virtual_host in given namespace will be considered.

Media typeapplication/json
TrafficOverviewExpandedRequest

Request for Shape Bot Defense expanded traffic overview.

object
end_time
End time

End time of the query period Format: unix_timestamp|RFC 3339

Optional: If not specified, then the end_time will be evaluated to start_time+10m If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
filters
object
action_taken
object
actions_taken
Action Taken

A list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
app_id_filter
object
app_id_strings
App ID Strings

An unordered list of App ID strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
application_name
object
application_names
Application Name

A list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
as_org_filter
object
as_orgs
AS Organizations

An unordered list of as org strings Required: YES.

Array<string>
>= 1 items <= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
attack_intent_filter
object
attack_intent_strings
Attack Intent Strings

An list of strings Required: YES.

Array<string>
>= 1 items <= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
automation_type_filter
object
automation_type_strings
Automation Type Strings

An list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
browser_filter
object
browser_strings
Browser Strings

An list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
country_filter
object
country_strings
Country Strings

An list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
host_filter
object
host_strings
Host Strings

An list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
inference_filter
object
inference_strings
Inference Strings

An list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
ip_filter
object
ips
IP Addresses

An unordered list of IPv4 addresses Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
method_filter
object
method_strings
Method Strings

An list of strings Required: YES.

Array<string>
>= 1 items <= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
os_filter
object
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
os_strings
OS Strings

An list of strings Required: YES.

Array<string>
<= 64 items
referer_filter
object
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
referer_strings
Inference Strings

An list of strings Required: YES.

Array<string>
<= 64 items
region_filter
string
default: US
Allowed values: US EU ASIA CA
traffic_type_filter
object
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
traffic_type_strings
Traffic Type Strings

An list of strings Required: YES.

Array<string>
<= 64 items
ua_filter
object
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
ua_strings
User Agent Strings

An unordered list of user agent strings Required: YES.

Array<string>
<= 64 items
uri_filter
object
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
uri_strings
URI Strings

An list of strings Required: YES.

Array<string>
<= 64 items
limit
Limit

Limits the number of transactions returned in the response Optional: If not specified, the first 500 transactions that matches the query will be returned in the response. The maximum value for limit is 500.

integer format: int64
namespace
Namespace

Namespace is used to scope the query. Only virtual_host in given namespace will be considered. Required: YES.

string
>= 6 characters <= 1024 characters
start_time
Start time

Start time of the query period Format: unix_timestamp|RFC 3339

Optional: If not specified, then the start_time will be evaluated to end_time-10m If end_time is not specified, then the start_time will be evaluated to -10m.

string
<= 1024 characters
virtual_host
Virtual Host Name

Name of Virtual Host to scope the query Required: YES.

string
<= 1024 characters

A successful response.

Media typeapplication/json
TrafficOverviewExpandedResponse

Response for Shape Bot Defense expanded traffic overview.

object
total_transactions
Total transactions x-displayName: "Total transactions" x-example: 1000 Total number of traffic transactions

Total number of traffic transactions.

string format: uint64
<= 1024 characters
transactions
Transactions

A list of traffic transactions.

Array<object>
Transaction

Traffic transaction.

object
action_taken
x-displayName: "Action Taken" x-example: "Flagged" Action Taken Values: Flagged, Blocked, Allow Request, etc

Action Taken Values: Flagged, Blocked, Allow Request, etc.

string
<= 1024 characters
app_type
Traffic Channel

Traffic Channel.

string
<= 1024 characters
as_org
AS Organization

Organization name.

string
<= 1024 characters
asn
AS Number

AS Number

integer format: int64
attack_intent
Attack Intent

Attack Intent.

string
<= 1024 characters
automation_type
x-displayName: "Malicious Bot Automation Type" x-example: "Token Missing" Malicious Bot Automation Type

Malicious Bot Automation Type.

string
<= 1024 characters
country
Country

Country name.

string
<= 1024 characters
hostname
Hostname

Hostname of attacked app endpoint.

string
<= 1024 characters
inference
x-displayName: "Main Type" x-example: "Bot" Bot Defense Inference: Human, Automated, Allowlisted, Other

Bot Defense Inference: Human, Automated, Allowlisted, Other.

string
<= 1024 characters
inference_sub_type
x-displayName: "Sub Type" x-example: "Bot" Bot Defense Inference Sub Type: Bad Bot, Trusted Allow, Good Bot

Bot Defense Inference Sub Type: Bad Bot, Trusted Allow, Good Bot.

string
<= 1024 characters
ip
IP Address

IP Address.

string
<= 1024 characters
method
HTTP Method

HTTP method of attacked app endpoint.

string
<= 1024 characters
referer
header reference

Header reference.

string
<= 1024 characters
timestamp
Timestamp

Time/Date of the transaction in RFC 3339 format Format: RFC 3339.

string format: date-time
<= 1024 characters
ua
User Agent String

User Agent String.

string
<= 1024 characters
uri
URI

URI of attacked app endpoint.

string
<= 1024 characters
Examplegenerated
{
"total_transactions": "example",
"transactions": [
{
"action_taken": "example",
"app_type": "example",
"as_org": "example",
"asn": 1,
"attack_intent": "example",
"automation_type": "example",
"country": "example",
"hostname": "example",
"inference": "example",
"inference_sub_type": "example",
"ip": "example",
"method": "example",
"referer": "example",
"timestamp": "2026-04-15T12:00:00Z",
"ua": "example",
"uri": "example"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example